<?php

    require_once '../conexion.php';

    //ABRIMOS CONEXION A LA BD
    $db = new Database();
    $con = $db->conectar();

    // OBTENEMOS LOS VALORES DEL POST
    $BD = $_POST['BD'];
    unset($_POST['BD']);
    $data = array_map('trim', $_POST);


    $keys = array_keys($data);
    $values = array_values($data);
    $consultaSQL = "INSERT INTO $BD (";

    // ITERAMOS LAS COLUMNAS / KEYS
    for ($i=0; $i < count($keys); $i++) { 
        $consultaSQL .= "`$keys[$i]`, ";
    }

    $consultaSQL = substr($consultaSQL, 0, -2) . ")";

    // ITERAMOS LOS VALUES 
    $consultaSQL .= ' VALUES (';
    for ($i=0; $i < count($values); $i++) { 
        $consultaSQL .= "?, ";
    }

    //STRING DE LA CONSULTA FINAL
    $consultaSQL = substr($consultaSQL, 0, -2) . ")";

    // INSERT A LA BASE DE DATOS
    $sql = $con->prepare($consultaSQL);
    $sql->execute($values);


    $id_insertado = $con->lastInsertId();


    $output = array(
        'success' => true,
        'ultimo' =>$id_insertado,
      
    );

    sleep(2);
    echo json_encode($output);

?>